---
name: Report a bug
about: Create a bug report for the Chakra UI ecosystem
---

# Bug report

## Describe the bug

<!-- A clear and concise description of what the bug is. -->

## To reproduce

<!-- Clear and concise reproduction instructions are important for us to be
able to triage your issue in a timely manner. -->

1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error

## Minimal reproduction

<!-- Please provide a codesandbox link or GitHub repo with a minimal
reproduction of the bug.

Official Chakra CodeSandbox templates:
- [JavaScript CodeSandbox template](https://codesandbox.io/s/github/chakra-ui/codesandbox-react-js-template/tree/master)
- [TypeScript CodeSandbox template](https://codesandbox.io/s/github/chakra-ui/codesandbox-react-ts-template/tree/master)
-->

## Expected behavior

<!-- A clear and concise description of what you expected to happen. -->

## Screenshots

<!-- If applicable, add screenshots to help explain your problem. -->

## System information

- OS: [e.g. macOS, Windows]
- Browser (if applies): [e.g. Chrome, Safari]
- Version of @chakra-ui/react: [e.g. 1.0.0-rc.3]
- Version of Node.js: [e.g. 12.11.1]

## Additional context

<!-- Add any other context about the problem here. -->
