## 1.0.0-rc.6 (2020-10-25)

#### 🚀 Features

- `accordion`
  - [#2218](https://github.com/chakra-ui/chakra-ui/pull/2218) refactor: add
    index, setIndex to AccordionContext
    ([@with-heart](https://github.com/with-heart))
- `toast`
  - [#1723](https://github.com/chakra-ui/chakra-ui/pull/1723)
    feature(standalone-toasts): create toasts outside of react components
    ([@TimKolberger](https://github.com/TimKolberger))
- `focus-lock`, `modal`, `popover`, `utils`
  - [#1805](https://github.com/chakra-ui/chakra-ui/pull/1805) feat(focus-lock):
    relax type on focusable refs to handle non-HTMLElement refs
    ([@santialbo](https://github.com/santialbo))

#### ⚙️ Component API

- `hooks`, `styled-system`, `system`, `utils`
  - [#2228](https://github.com/chakra-ui/chakra-ui/pull/2228) Feat/use colors
    ([@ljosberinn](https://github.com/ljosberinn))
- `toast`
  - [#2191](https://github.com/chakra-ui/chakra-ui/pull/2191) feat(toast): allow
    toast.closeAll position selection
    ([@ljosberinn](https://github.com/ljosberinn))
- `avatar`
  - [#2153](https://github.com/chakra-ui/chakra-ui/pull/2153) fix(avatar): add
    loading prop for avatar ([@Zaynex](https://github.com/Zaynex))

#### 🐛 Bugfixes

- `utils`
  - [#2253](https://github.com/chakra-ui/chakra-ui/pull/2253) fix(utils):
    properly filter undefined object values
    ([@ellisio](https://github.com/ellisio))
- `toast`
  - [#2132](https://github.com/chakra-ui/chakra-ui/pull/2132) fix(toast):
    closeAll method actually closes all
    ([@ljosberinn](https://github.com/ljosberinn))
- `media-query`
  - [#2139](https://github.com/chakra-ui/chakra-ui/pull/2139) Fix/use media
    query ([@ljosberinn](https://github.com/ljosberinn))
- `color-mode`
  - [#2114](https://github.com/chakra-ui/chakra-ui/pull/2114) fix(colormode):
    csr and hydration issues ([@ljosberinn](https://github.com/ljosberinn))

#### 📝 Documentation

- [#2262](https://github.com/chakra-ui/chakra-ui/pull/2262) docs(icons): fix
  typo ([@claytonfaria](https://github.com/claytonfaria))
- [#2258](https://github.com/chakra-ui/chakra-ui/pull/2258) docs: Update
  \_groupHover parent role="group" attribute info - 1.0RC
  ([@claytonfaria](https://github.com/claytonfaria))
- [#2215](https://github.com/chakra-ui/chakra-ui/pull/2215) docs(list): fix
  stylePos to stylePosition ([@Strajk](https://github.com/Strajk))
- [#2196](https://github.com/chakra-ui/chakra-ui/pull/2196) fix: minor spelling
  tweaks ([@iskanderbroere](https://github.com/iskanderbroere))
- [#2193](https://github.com/chakra-ui/chakra-ui/pull/2193)
  docs(checkbox-group): update the props table and add shared style pro…
  ([@with-heart](https://github.com/with-heart))
- [#2138](https://github.com/chakra-ui/chakra-ui/pull/2138) docs(breadcrumb):
  Small correction ([@victorwpbastos](https://github.com/victorwpbastos))
- [#2104](https://github.com/chakra-ui/chakra-ui/pull/2104) docs(accordion):
  remove reference to AccordionItem defaultIsOpen prop
  ([@with-heart](https://github.com/with-heart))

#### Committers: 33

- Adriano Resende ([@adrianoresende](https://github.com/adrianoresende))
- Andrei Lazarescu ([@lazandrei19](https://github.com/lazandrei19))
- Andrew Ellis ([@ellisio](https://github.com/ellisio))
- Anurag Hazra ([@anuraghazra](https://github.com/anuraghazra))
- Candice ([@candicecz](https://github.com/candicecz))
- Clayton Faria ([@claytonfaria](https://github.com/claytonfaria))
- Dave Bauman ([@baumandm](https://github.com/baumandm))
- Dominik Sumer ([@dsumer](https://github.com/dsumer))
- Gerrit Alex ([@ljosberinn](https://github.com/ljosberinn))
- Gifa Eriyanto ([@gifaeriyanto](https://github.com/gifaeriyanto))
- Ivan Dalmet ([@ivan-dalmet](https://github.com/ivan-dalmet))
- Jaya Krishna Namburu
  ([@JayaKrishnaNamburu](https://github.com/JayaKrishnaNamburu))
- Joe Bell ([@joe-bell](https://github.com/joe-bell))
- Joel Gallant ([@joelgallant](https://github.com/joelgallant))
- Joshua Farayola ([@farayolaj](https://github.com/farayolaj))
- José Teixeira ([@jrrmt](https://github.com/jrrmt))
- Julian Kaindl ([@KaindlJulian](https://github.com/KaindlJulian))
- Keshav Bohra ([@keshav-bohr](https://github.com/keshav-bohr))
- Mark Chandler ([@with-heart](https://github.com/with-heart))
- Matías Surdi ([@msurdi](https://github.com/msurdi))
- Pavel 'Strajk' Dolecek ([@Strajk](https://github.com/Strajk))
- Santi Albo ([@santialbo](https://github.com/santialbo))
- Sebastian Trebunak ([@sebqq](https://github.com/sebqq))
- Segun Adebayo ([@segunadebayo](https://github.com/segunadebayo))
- Tioluwani Kolawole ([@tioluwani94](https://github.com/tioluwani94))
- Tony Martinez ([@tonyjmartinez](https://github.com/tonyjmartinez))
- Trevor Blades ([@trevorblades](https://github.com/trevorblades))
- Victor Bastos ([@victorwpbastos](https://github.com/victorwpbastos))
- Vincent ([@Zaynex](https://github.com/Zaynex))
- [@TimKolberger](https://github.com/TimKolberger)
- [@iskanderbroere](https://github.com/iskanderbroere)
- [@okezieuc](https://github.com/okezieuc)
- [@vsylvestre](https://github.com/vsylvestre)

## 1.0.0-rc.5 (2020-09-27)

## 1.0.0-rc.4 (2020-09-25)

#### 🚀 Features

- `core`, `utils`
  - [#1967](https://github.com/chakra-ui/chakra-ui/pull/1967)
    feat(extend-theme): merge function results
    ([@TimKolberger](https://github.com/TimKolberger))
- `avatar`
  - [#1809](https://github.com/chakra-ui/chakra-ui/pull/1809) feat(avatar):
    added border radius prop to avatar group
    ([@bgopikrishna](https://github.com/bgopikrishna))
- `theme`
  - [#1583](https://github.com/chakra-ui/chakra-ui/pull/1583) feat(input): Add
    zIndex: 1 to focused input (v0 behaviour)
    ([@trevorblades](https://github.com/trevorblades))
- `core`
  - [#1458](https://github.com/chakra-ui/chakra-ui/pull/1458) Support Storybook
    Composition ([@jesstelford](https://github.com/jesstelford))

#### ⚙️ Component API

- `accordion`
  - [#1692](https://github.com/chakra-ui/chakra-ui/pull/1692) fix(accordion):
    move item props to accordion context
    ([@with-heart](https://github.com/with-heart))
- `core`, `theme-tools`, `theme`
  - [#1631](https://github.com/chakra-ui/chakra-ui/pull/1631) refactor:
    styleConfigs' internalization ([@hericlesme](https://github.com/hericlesme))
- `icon`
  - [#1722](https://github.com/chakra-ui/chakra-ui/pull/1722) Feat/extend create
    icon ([@ljosberinn](https://github.com/ljosberinn))
- `modal`
  - [#1726](https://github.com/chakra-ui/chakra-ui/pull/1726) fix(modal): fix
    ModalFooter to use the forwardRef utility
    ([@santialbo](https://github.com/santialbo))
- `tabs`
  - [#1656](https://github.com/chakra-ui/chakra-ui/pull/1656) Performance: Add
    isLazy property to Tabs ([@hericlesme](https://github.com/hericlesme))

#### ♿ Accessibility

- `button`, `theme`
  - [#1834](https://github.com/chakra-ui/chakra-ui/pull/1834) chore(button): add
    color exceptions for yellow and cyan buttons
    ([@with-heart](https://github.com/with-heart))
- Other
  - [#1828](https://github.com/chakra-ui/chakra-ui/pull/1828) perf(website):
    improve homepage lighthouse scores
    ([@with-heart](https://github.com/with-heart))
- `accordion`, `alert`, `avatar`, `breadcrumb`, `button`, `checkbox`,
  `clickable`, `close-button`, `collapse`, `control-box`, `drawer`, `editable`,
  `focus-lock`, `form-control`, `icon`, `image`, `input`, `layout`, `menu`,
  `modal`, `test-utils`
  - [#1527](https://github.com/chakra-ui/chakra-ui/pull/1527) Test/add a11y
    tests ([@ljosberinn](https://github.com/ljosberinn))

#### 🐛 Bugfixes

- `color-mode`, `core`
  - [#2089](https://github.com/chakra-ui/chakra-ui/pull/2089) Fix/color mode
    ([@ljosberinn](https://github.com/ljosberinn))
- `layout`
  - [#2056](https://github.com/chakra-ui/chakra-ui/pull/2056) Change default
    UnorderedList styleType to initial
    ([@joe-bell](https://github.com/joe-bell))
- `system`
  - [#2019](https://github.com/chakra-ui/chakra-ui/pull/2019) fix:
    useStyleConfig omit children when merging
    ([@ljosberinn](https://github.com/ljosberinn))
- `toast`
  - [#1611](https://github.com/chakra-ui/chakra-ui/pull/1611) fix(toast):
    improve type and layout style with relative units from theme
    ([@dustinlarimer](https://github.com/dustinlarimer))
- `number-input`
  - [#1970](https://github.com/chakra-ui/chakra-ui/pull/1970) fix(number-input)
    build and test ([@TimKolberger](https://github.com/TimKolberger))
  - [#1953](https://github.com/chakra-ui/chakra-ui/pull/1953) fix(number-input):
    handler for onMouseLeave
    ([@navin-moorthy](https://github.com/navin-moorthy))
  - [#1743](https://github.com/chakra-ui/chakra-ui/pull/1743) fix: Zero-out
    number input wrapper z-index
    ([@trevorblades](https://github.com/trevorblades))
  - [#1652](https://github.com/chakra-ui/chakra-ui/pull/1652) fix onChange
    callback activation on NumberInput
    ([@hericlesme](https://github.com/hericlesme))
- Other
  - [#1910](https://github.com/chakra-ui/chakra-ui/pull/1910)
    fix(cra-templates): remove unused props from App Grid
    ([@with-heart](https://github.com/with-heart))
- `input`
  - [#1906](https://github.com/chakra-ui/chakra-ui/pull/1906)
    fix(input-element): increase z-index
    ([@with-heart](https://github.com/with-heart))
- `menu`
  - [#1808](https://github.com/chakra-ui/chakra-ui/pull/1808) fix(menu): give
    MenuList props style precedence
    ([@Sebastiansc](https://github.com/Sebastiansc))
- `descendant`, `menu`
  - [#1753](https://github.com/chakra-ui/chakra-ui/pull/1753) fix: fixed
    useDescendant to register/deregister items based on focuse…
    ([@mwood23](https://github.com/mwood23))
- `avatar`
  - [#1668](https://github.com/chakra-ui/chakra-ui/pull/1668) fix(avatar):
    avatar group shows excess even when excess isn't hit
    ([@PierreAndreis](https://github.com/PierreAndreis))
- `color-mode`
  - [#1601](https://github.com/chakra-ui/chakra-ui/pull/1601) fix(color-mode):
    catch when localStorage is disabled ([@hy2k](https://github.com/hy2k))
- `icon`
  - [#1612](https://github.com/chakra-ui/chakra-ui/pull/1612) fix(Icon): custom
    icon library viewBox
    ([@neighborhood999](https://github.com/neighborhood999))
- `core`
  - [#1609](https://github.com/chakra-ui/chakra-ui/pull/1609) fix(core): flip
    load order of CSSReset and GlobalStyles
    ([@dustinlarimer](https://github.com/dustinlarimer))
- `checkbox`
  - [#1594](https://github.com/chakra-ui/chakra-ui/pull/1594) fix(checkbox):
    omit checkbox props from Icon spread
    ([@with-heart](https://github.com/with-heart))
- `theme`
  - [#1590](https://github.com/chakra-ui/chakra-ui/pull/1590) chore(Tag): change
    default size from lg to md
    ([@neighborhood999](https://github.com/neighborhood999))

#### 🤠 Types

- `accordion`, `alert`, `avatar`, `breadcrumb`, `button`, `checkbox`, `icon`,
  `input`, `layout`, `menu`, `modal`, `popover`, `tabs`
  - [#1764](https://github.com/chakra-ui/chakra-ui/pull/1764) fix(typescript):
    synthetic default export compat
    ([@ljosberinn](https://github.com/ljosberinn))
- `system`
  - [#1627](https://github.com/chakra-ui/chakra-ui/pull/1627) perf: widen As
    prop typing ([@with-heart](https://github.com/with-heart))

#### 📝 Documentation

- `modal`
  - [#2073](https://github.com/chakra-ui/chakra-ui/pull/2073) docs(modal): make
    close buttons close the modals
    ([@sivertschou](https://github.com/sivertschou))
- Other
  - [#2053](https://github.com/chakra-ui/chakra-ui/pull/2053) docs(tabs): fix
    tabs onchange example colors for dark mode
    ([@frontendwizard](https://github.com/frontendwizard))
  - [#2047](https://github.com/chakra-ui/chakra-ui/pull/2047) Update
    customize-theme.mdx ([@k4mr4n](https://github.com/k4mr4n))
  - [#1983](https://github.com/chakra-ui/chakra-ui/pull/1983) docs(accordion):
    remove references to some AccordionItem props
    ([@with-heart](https://github.com/with-heart))
  - [#1980](https://github.com/chakra-ui/chakra-ui/pull/1980) docs: document
    usage of close/closeAll instance methods
    ([@mattrothenberg](https://github.com/mattrothenberg))
  - [#1935](https://github.com/chakra-ui/chakra-ui/pull/1935) docs: guide for
    nextjs with custom font files ([@1brettf](https://github.com/1brettf))
  - [#1948](https://github.com/chakra-ui/chakra-ui/pull/1948) docs: fixed broken
    links ([@jmiazga](https://github.com/jmiazga))
  - [#1909](https://github.com/chakra-ui/chakra-ui/pull/1909) docs: fix icon
    imports ([@with-heart](https://github.com/with-heart))
  - [#1883](https://github.com/chakra-ui/chakra-ui/pull/1883) docs: fix typo
    ([@dwightwatson](https://github.com/dwightwatson))
  - [#1850](https://github.com/chakra-ui/chakra-ui/pull/1850) docs: Remove
    isIndeterminate from Circular Progress docs
    ([@carlosvini](https://github.com/carlosvini))
  - [#1867](https://github.com/chakra-ui/chakra-ui/pull/1867) chore(docs): add
    redirects ([@ljosberinn](https://github.com/ljosberinn))
  - [#1871](https://github.com/chakra-ui/chakra-ui/pull/1871) docs: add Icon
    Button to sidebar ([@andrewgarrison](https://github.com/andrewgarrison))
  - [#1873](https://github.com/chakra-ui/chakra-ui/pull/1873) docs: add
    smart-watch color generator ([@ralphilius](https://github.com/ralphilius))
  - [#1835](https://github.com/chakra-ui/chakra-ui/pull/1835) docs: updated
    example to indicate where merge util comes from. removed note about color
    mode ([@jmiazga](https://github.com/jmiazga))
  - [#1841](https://github.com/chakra-ui/chakra-ui/pull/1841) refactor(docs):
    remove nextjs optimization ([@ljosberinn](https://github.com/ljosberinn))
  - [#1769](https://github.com/chakra-ui/chakra-ui/pull/1769) docs: add pseudo
    props ([@ralphilius](https://github.com/ralphilius))
  - [#1784](https://github.com/chakra-ui/chakra-ui/pull/1784) docs: fix typo in
    theming ([@Brennvo](https://github.com/Brennvo))
  - [#1779](https://github.com/chakra-ui/chakra-ui/pull/1779) docs: Readme
    example usage typo ([@harveyhalwin](https://github.com/harveyhalwin))
  - [#1755](https://github.com/chakra-ui/chakra-ui/pull/1755) docs: first pass
    at the transitions docs ([@jmiazga](https://github.com/jmiazga))
  - [#1759](https://github.com/chakra-ui/chakra-ui/pull/1759) docs: restructure
    `Icon` page ([@with-heart](https://github.com/with-heart))
  - [#1728](https://github.com/chakra-ui/chakra-ui/pull/1728) fixing the links
    inside use-disclosure.mdx ([@keremciu](https://github.com/keremciu))
  - [#1724](https://github.com/chakra-ui/chakra-ui/pull/1724) docs: add
    `IconButton` to migration doc ([@baumandm](https://github.com/baumandm))
  - [#1716](https://github.com/chakra-ui/chakra-ui/pull/1716) Amend
    InitializeColorMode steps for Next.js
    ([@joe-bell](https://github.com/joe-bell))
  - [#1688](https://github.com/chakra-ui/chakra-ui/pull/1688) docs: updated
    transition section for modal and alert dialog
    ([@jmiazga](https://github.com/jmiazga))
  - [#1689](https://github.com/chakra-ui/chakra-ui/pull/1689) docs: called out
    that default chakra icons need to be imported from @chakra-ui/icons
    ([@jmiazga](https://github.com/jmiazga))
  - [#1677](https://github.com/chakra-ui/chakra-ui/pull/1677) docs: Update
    modal.mdx ([@trevorblades](https://github.com/trevorblades))
  - [#1662](https://github.com/chakra-ui/chakra-ui/pull/1662) docs: added not
    about RadioButtonGroup being deprecated
    ([@jmiazga](https://github.com/jmiazga))
  - [#1578](https://github.com/chakra-ui/chakra-ui/pull/1578) feat(docs): add
    Chakra exports as mdx shortcodes
    ([@with-heart](https://github.com/with-heart))
  - [#1576](https://github.com/chakra-ui/chakra-ui/pull/1576)
    docs(installation): add CRA templates guide note
    ([@with-heart](https://github.com/with-heart))
  - [#1584](https://github.com/chakra-ui/chakra-ui/pull/1584) feat(docs): add
    size hints in Text's and Heading's documentation
    ([@fr3fou](https://github.com/fr3fou))
- `form-control`
  - [#1945](https://github.com/chakra-ui/chakra-ui/pull/1945) docs: minor
    spelling/grammar fixes ([@ChasinHues](https://github.com/ChasinHues))
- `utils`
  - [#1754](https://github.com/chakra-ui/chakra-ui/pull/1754) docs: add ref to
    IE11 window memory leak issue
    ([@navin-moorthy](https://github.com/navin-moorthy))
- `core`, `theme-tools`, `theme`
  - [#1631](https://github.com/chakra-ui/chakra-ui/pull/1631) refactor:
    styleConfigs' internalization ([@hericlesme](https://github.com/hericlesme))

#### Committers: 53

- Adel Nizamutdinov ([@meoyawn](https://github.com/meoyawn))
- Andrew Garrison ([@andrewgarrison](https://github.com/andrewgarrison))
- Brennan ([@Brennvo](https://github.com/Brennvo))
- Carlos Rodrigues ([@carlosvini](https://github.com/carlosvini))
- ChasinHues ([@ChasinHues](https://github.com/ChasinHues))
- CodinCat ([@CodinCat](https://github.com/CodinCat))
- Dave Bauman ([@baumandm](https://github.com/baumandm))
- Dustin Larimer ([@dustinlarimer](https://github.com/dustinlarimer))
- Dwight Watson ([@dwightwatson](https://github.com/dwightwatson))
- Feross Aboukhadijeh ([@feross](https://github.com/feross))
- Gerrit Alex ([@ljosberinn](https://github.com/ljosberinn))
- Gopi Krishna ([@bgopikrishna](https://github.com/bgopikrishna))
- Harsh Zalavadiya ([@harshzalavadiya](https://github.com/harshzalavadiya))
- Heinek Halwin ([@harveyhalwin](https://github.com/harveyhalwin))
- Henning Pohlmeyer ([@hpohlmeyer](https://github.com/hpohlmeyer))
- Héricles Emanuel ([@hericlesme](https://github.com/hericlesme))
- James Gee ([@geemanjs](https://github.com/geemanjs))
- Jamie Barton ([@notrab](https://github.com/notrab))
- Jason Miazga ([@jmiazga](https://github.com/jmiazga))
- Jess Telford ([@jesstelford](https://github.com/jesstelford))
- Joe Bell ([@joe-bell](https://github.com/joe-bell))
- Juliano Farias ([@frontendwizard](https://github.com/frontendwizard))
- Kamran Gh ([@k4mr4n](https://github.com/k4mr4n))
- Kerem Sevencan ([@keremciu](https://github.com/keremciu))
- Kyle T. Edwards ([@kltdwrds](https://github.com/kltdwrds))
- Lennart ([@LekoArts](https://github.com/LekoArts))
- Luke Yeh ([@lukeyeh](https://github.com/lukeyeh))
- Mansour benyoucef ([@benyou1969](https://github.com/benyou1969))
- Marcus Wood ([@mwood23](https://github.com/mwood23))
- Mark Chandler ([@with-heart](https://github.com/with-heart))
- Matt Rothenberg ([@mattrothenberg](https://github.com/mattrothenberg))
- Navin Moorthy ([@navin-moorthy](https://github.com/navin-moorthy))
- Pablo Rocha ([@joserocha3](https://github.com/joserocha3))
- Patrick Cason ([@cereallarceny](https://github.com/cereallarceny))
- Peng Jie ([@neighborhood999](https://github.com/neighborhood999))
- Pierre Ortega ([@PierreAndreis](https://github.com/PierreAndreis))
- Sam Margalit ([@margalit](https://github.com/margalit))
- Santi Albo ([@santialbo](https://github.com/santialbo))
- Sebastian Cruz ([@Sebastiansc](https://github.com/Sebastiansc))
- Segun Adebayo ([@segunadebayo](https://github.com/segunadebayo))
- Simo Aleksandrov ([@fr3fou](https://github.com/fr3fou))
- Sivert Schou Olsen ([@sivertschou](https://github.com/sivertschou))
- Tim Won ([@Tkwon123](https://github.com/Tkwon123))
- Tony Narlock ([@tony](https://github.com/tony))
- Trevor Blades ([@trevorblades](https://github.com/trevorblades))
- [@TimKolberger](https://github.com/TimKolberger)
- [@dasshield](https://github.com/dasshield)
- [@hy2k](https://github.com/hy2k)
- [@jellycode](https://github.com/jellycode)
- [@wlockiv](https://github.com/wlockiv)
- brett ([@1brettf](https://github.com/1brettf))
- ralphilius ([@ralphilius](https://github.com/ralphilius))
- victory ([@vickywane](https://github.com/vickywane))

## 1.0.0-rc.3 (2020-08-30)

#### 🚀 Features

- `avatar`
  - [#1809](https://github.com/chakra-ui/chakra-ui/pull/1809) feat(avatar):
    added border radius prop to avatar group
    ([@bgopikrishna](https://github.com/bgopikrishna))
- `theme`
  - [#1583](https://github.com/chakra-ui/chakra-ui/pull/1583) feat(input): Add
    zIndex: 1 to focused input (v0 behaviour)
    ([@trevorblades](https://github.com/trevorblades))
- `core`
  - [#1458](https://github.com/chakra-ui/chakra-ui/pull/1458) Support Storybook
    Composition ([@jesstelford](https://github.com/jesstelford))

#### ⚙️ Component API

- `accordion`
  - [#1692](https://github.com/chakra-ui/chakra-ui/pull/1692) fix(accordion):
    move item props to accordion context
    ([@with-heart](https://github.com/with-heart))
- `core`, `theme-tools`, `theme`
  - [#1631](https://github.com/chakra-ui/chakra-ui/pull/1631) refactor:
    styleConfigs' internalization ([@hericlesme](https://github.com/hericlesme))
- `icon`
  - [#1722](https://github.com/chakra-ui/chakra-ui/pull/1722) Feat/extend create
    icon ([@ljosberinn](https://github.com/ljosberinn))
- `modal`
  - [#1726](https://github.com/chakra-ui/chakra-ui/pull/1726) fix(modal): fix
    ModalFooter to use the forwardRef utility
    ([@santialbo](https://github.com/santialbo))
- `tabs`
  - [#1656](https://github.com/chakra-ui/chakra-ui/pull/1656) Performance: Add
    isLazy property to Tabs ([@hericlesme](https://github.com/hericlesme))

#### ♿ Accessibility

- `button`, `theme`
  - [#1834](https://github.com/chakra-ui/chakra-ui/pull/1834) chore(button): add
    color exceptions for yellow and cyan buttons
    ([@with-heart](https://github.com/with-heart))
- Other
  - [#1828](https://github.com/chakra-ui/chakra-ui/pull/1828) perf(website):
    improve homepage lighthouse scores
    ([@with-heart](https://github.com/with-heart))
- `accordion`, `alert`, `avatar`, `breadcrumb`, `button`, `checkbox`,
  `clickable`, `close-button`, `collapse`, `control-box`, `drawer`, `editable`,
  `focus-lock`, `form-control`, `icon`, `image`, `input`, `layout`, `menu`,
  `modal`, `test-utils`
  - [#1527](https://github.com/chakra-ui/chakra-ui/pull/1527) Test/add a11y
    tests ([@ljosberinn](https://github.com/ljosberinn))

#### 🐛 Bugfixes

- `menu`
  - [#1808](https://github.com/chakra-ui/chakra-ui/pull/1808) fix(menu): give
    MenuList props style precedence
    ([@Sebastiansc](https://github.com/Sebastiansc))
- `descendant`, `menu`
  - [#1753](https://github.com/chakra-ui/chakra-ui/pull/1753) fix: fixed
    useDescendant to register/deregister items based on focuse…
    ([@mwood23](https://github.com/mwood23))
- `number-input`
  - [#1743](https://github.com/chakra-ui/chakra-ui/pull/1743) fix: Zero-out
    number input wrapper z-index
    ([@trevorblades](https://github.com/trevorblades))
  - [#1652](https://github.com/chakra-ui/chakra-ui/pull/1652) fix onChange
    callback activation on NumberInput
    ([@hericlesme](https://github.com/hericlesme))
- `avatar`
  - [#1668](https://github.com/chakra-ui/chakra-ui/pull/1668) fix(avatar):
    avatar group shows excess even when excess isn't hit
    ([@PierreAndreis](https://github.com/PierreAndreis))
- `color-mode`
  - [#1601](https://github.com/chakra-ui/chakra-ui/pull/1601) fix(color-mode):
    catch when localStorage is disabled ([@hy2k](https://github.com/hy2k))
- `icon`
  - [#1612](https://github.com/chakra-ui/chakra-ui/pull/1612) fix(Icon): custom
    icon library viewBox
    ([@neighborhood999](https://github.com/neighborhood999))
- `core`
  - [#1609](https://github.com/chakra-ui/chakra-ui/pull/1609) fix(core): flip
    load order of CSSReset and GlobalStyles
    ([@dustinlarimer](https://github.com/dustinlarimer))
- `checkbox`
  - [#1594](https://github.com/chakra-ui/chakra-ui/pull/1594) fix(checkbox):
    omit checkbox props from Icon spread
    ([@with-heart](https://github.com/with-heart))
- `theme`
  - [#1590](https://github.com/chakra-ui/chakra-ui/pull/1590) chore(Tag): change
    default size from lg to md
    ([@neighborhood999](https://github.com/neighborhood999))

#### 🤠 Types

- `accordion`, `alert`, `avatar`, `breadcrumb`, `button`, `checkbox`, `icon`,
  `input`, `layout`, `menu`, `modal`, `popover`, `tabs`
  - [#1764](https://github.com/chakra-ui/chakra-ui/pull/1764) fix(typescript):
    synthetic default export compat
    ([@ljosberinn](https://github.com/ljosberinn))
- `system`
  - [#1627](https://github.com/chakra-ui/chakra-ui/pull/1627) perf: widen As
    prop typing ([@with-heart](https://github.com/with-heart))

#### 📝 Documentation

- Other
  - [#1835](https://github.com/chakra-ui/chakra-ui/pull/1835) docs: updated
    example to indicate where merge util comes from. removed note about color
    mode ([@jmiazga](https://github.com/jmiazga))
  - [#1841](https://github.com/chakra-ui/chakra-ui/pull/1841) refactor(docs):
    remove nextjs optimization ([@ljosberinn](https://github.com/ljosberinn))
  - [#1769](https://github.com/chakra-ui/chakra-ui/pull/1769) docs: add pseudo
    props ([@ralphilius](https://github.com/ralphilius))
  - [#1784](https://github.com/chakra-ui/chakra-ui/pull/1784) docs: fix typo in
    theming ([@Brennvo](https://github.com/Brennvo))
  - [#1779](https://github.com/chakra-ui/chakra-ui/pull/1779) docs: Readme
    example usage typo ([@harveyhalwin](https://github.com/harveyhalwin))
  - [#1755](https://github.com/chakra-ui/chakra-ui/pull/1755) docs: first pass
    at the transitions docs ([@jmiazga](https://github.com/jmiazga))
  - [#1759](https://github.com/chakra-ui/chakra-ui/pull/1759) docs: restructure
    `Icon` page ([@with-heart](https://github.com/with-heart))
  - [#1728](https://github.com/chakra-ui/chakra-ui/pull/1728) fixing the links
    inside use-disclosure.mdx ([@keremciu](https://github.com/keremciu))
  - [#1724](https://github.com/chakra-ui/chakra-ui/pull/1724) docs: add
    `IconButton` to migration doc ([@baumandm](https://github.com/baumandm))
  - [#1716](https://github.com/chakra-ui/chakra-ui/pull/1716) Amend
    InitializeColorMode steps for Next.js
    ([@joe-bell](https://github.com/joe-bell))
  - [#1688](https://github.com/chakra-ui/chakra-ui/pull/1688) docs: updated
    transition section for modal and alert dialog
    ([@jmiazga](https://github.com/jmiazga))
  - [#1689](https://github.com/chakra-ui/chakra-ui/pull/1689) docs: called out
    that default chakra icons need to be imported from @chakra-ui/icons
    ([@jmiazga](https://github.com/jmiazga))
  - [#1677](https://github.com/chakra-ui/chakra-ui/pull/1677) docs: Update
    modal.mdx ([@trevorblades](https://github.com/trevorblades))
  - [#1662](https://github.com/chakra-ui/chakra-ui/pull/1662) docs: added not
    about RadioButtonGroup being deprecated
    ([@jmiazga](https://github.com/jmiazga))
  - [#1578](https://github.com/chakra-ui/chakra-ui/pull/1578) feat(docs): add
    Chakra exports as mdx shortcodes
    ([@with-heart](https://github.com/with-heart))
  - [#1576](https://github.com/chakra-ui/chakra-ui/pull/1576)
    docs(installation): add CRA templates guide note
    ([@with-heart](https://github.com/with-heart))
  - [#1584](https://github.com/chakra-ui/chakra-ui/pull/1584) feat(docs): add
    size hints in Text's and Heading's documentation
    ([@fr3fou](https://github.com/fr3fou))
- `utils`
  - [#1754](https://github.com/chakra-ui/chakra-ui/pull/1754) docs: add ref to
    IE11 window memory leak issue
    ([@navin-moorthy](https://github.com/navin-moorthy))
- `core`, `theme-tools`, `theme`
  - [#1631](https://github.com/chakra-ui/chakra-ui/pull/1631) refactor:
    styleConfigs' internalization ([@hericlesme](https://github.com/hericlesme))

#### Committers: 28

- Brennan ([@Brennvo](https://github.com/Brennvo))
- CodinCat ([@CodinCat](https://github.com/CodinCat))
- Dave Bauman ([@baumandm](https://github.com/baumandm))
- Dustin Larimer ([@dustinlarimer](https://github.com/dustinlarimer))
- Gerrit Alex ([@ljosberinn](https://github.com/ljosberinn))
- Gopi Krishna ([@bgopikrishna](https://github.com/bgopikrishna))
- Heinek Halwin ([@harveyhalwin](https://github.com/harveyhalwin))
- Héricles Emanuel ([@hericlesme](https://github.com/hericlesme))
- James Gee ([@Geeman201](https://github.com/Geeman201))
- Jason Miazga ([@jmiazga](https://github.com/jmiazga))
- Jess Telford ([@jesstelford](https://github.com/jesstelford))
- Joe Bell ([@joe-bell](https://github.com/joe-bell))
- Kerem Sevencan ([@keremciu](https://github.com/keremciu))
- Mansour benyoucef ([@benyou1969](https://github.com/benyou1969))
- Marcus Wood ([@mwood23](https://github.com/mwood23))
- Mark Chandler ([@with-heart](https://github.com/with-heart))
- Navin Moorthy ([@navin-moorthy](https://github.com/navin-moorthy))
- Patrick Cason ([@cereallarceny](https://github.com/cereallarceny))
- Peng Jie ([@neighborhood999](https://github.com/neighborhood999))
- Pierre Ortega ([@PierreAndreis](https://github.com/PierreAndreis))
- Santi Albo ([@santialbo](https://github.com/santialbo))
- Sebastian Cruz ([@Sebastiansc](https://github.com/Sebastiansc))
- Simo Aleksandrov ([@fr3fou](https://github.com/fr3fou))
- Trevor Blades ([@trevorblades](https://github.com/trevorblades))
- [@hy2k](https://github.com/hy2k)
- ralphilius ([@ralphilius](https://github.com/ralphilius))
- victory ([@vickywane](https://github.com/vickywane))
