import { breakpoints } from "./test-data"
import createMediaQueries from "../src/create-media-query"

test("creates media queries for each named breakpoint", () => {
  expect(createMediaQueries(breakpoints)).toEqual([
    {
      breakpoint: "customBreakpoint",
      maxWidth: undefined,
      minWidth: "500px",
      query: "(min-width: 500px)",
    },
    {
      breakpoint: "xl",
      maxWidth: "500px",
      minWidth: "400px",
      query: "(min-width: 400px) and (max-width: 499px)",
    },
    {
      breakpoint: "lg",
      maxWidth: "400px",
      minWidth: "300px",
      query: "(min-width: 300px) and (max-width: 399px)",
    },
    {
      breakpoint: "md",
      maxWidth: "300px",
      minWidth: "200px",
      query: "(min-width: 200px) and (max-width: 299px)",
    },
    {
      breakpoint: "sm",
      maxWidth: "200px",
      minWidth: "100px",
      query: "(min-width: 100px) and (max-width: 199px)",
    },
    {
      breakpoint: "base",
      maxWidth: "100px",
      minWidth: "0px",
      query: "(min-width: 0px) and (max-width: 99px)",
    },
  ])
})
